@import url(fonts.css);

:root {
    --light:#f7f8f9;
    --dark1:#17181f;
    --dark2:#22242e;
    --blue:#3da1ff;
    --blue2:#386a99;
    --green:#52e247;
    --green2:rgba(81, 226, 71, 0.39);
    --purple:#ad47e2;
    --purple2:#fa8cfa;
    --red:#b81a5c;
    --red2:#ff3030;
    --red3:#ffc3c6;
    --gold:#ffcf30;
}

body {
    width:100vw;
    padding:0;
    margin:0;
    background:var(--dark1);
    color:var(--light);
    font-family:'Poppins',sans-serif;
    overflow-x:hidden;
}

/* PAGE FADE */
#page-transition-overlay {
    position: fixed;
    inset: 0;
    background: #0a0b0f;
    z-index: 999999;
    opacity: 1;
    pointer-events: none;
    transition: opacity 0.5s ease;
}

#page-transition-overlay.loaded {
    opacity: 0;
}

/* GENERAL ITEMS */
.general-button {
  font: inherit;
  background-color: #16171f;
  border: 0;
  color: #e8e8ef;
  border-radius: 0.5em;
  font-size: 14px;
  padding: 12px 40px;
  font-weight: 600;
  text-shadow: 0 0.0625em 0 #0a0b10;
  box-shadow:
    inset 0 0.0625em 0 0 #2a2c36,
    0 0.0625em 0 0 #0f1016,
    0 0.125em 0 0 #0d0e14,
    0 0.25em 0 0 #0b0c12,
    0 0.3125em 0 0 #090a10,
    0 0.375em 0 0 #08090e,
    0 0.425em 0 0 #07080c,
    0 0.425em 0.5em 0 #05060a;
  transition: 0.1s ease;
  cursor: pointer;
  -webkit-user-drag: none;
  user-select: none;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center ;
  gap:10px;
}

.general-button:hover {
	background-color: #2a2c3b;
}

.general-button img {
	width:26px;
	height:26px;
}

.general-button.discord svg {
	width:46px;
	height:46px;
}

.general-button:active {
  translate: 0 0.225em;
  box-shadow:
    inset 0 0.03em 0 0 #2a2c36,
    0 0.03em 0 0 #0f1016,
    0 0.0625em 0 0 #0d0e14,
    0 0.125em 0 0 #0b0c12,
    0 0.125em 0 0 #090a10,
    0 0.2em 0 0 #08090e,
    0 0.225em 0 0 #07080c,
    0 0.225em 0.375em 0 #05060a;
}

.general-button2 {
  font: inherit;
  background-color: #16171f;
  border: 0;
  color: #e8e8ef;
  border-radius: 0.5em;
  font-size: 12px;
  padding: 5px 10px;
  padding-right:15px;
  font-weight: 600;
  text-shadow: 0 0.0625em 0 #0a0b10;
  box-shadow:
    inset 0 0.0625em 0 0 #2a2c36,
    0 0.0625em 0 0 #0f1016,
    0 0.125em 0 0 #0d0e14,
    0 0.25em 0 0 #0b0c12,
    0 0.3125em 0 0 #090a10,
    0 0.375em 0 0 #08090e,
    0 0.425em 0 0 #07080c,
    0 0.425em 0.5em 0 #05060a;
  transition: 0.1s ease;
  cursor: pointer;
  -webkit-user-drag: none;
  user-select: none;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  gap:10px;
}

.general-button2:hover {
	background-color: #2a2c3b;
}

.general-button2[data-disabled="1"]:hover {
	background-color: #16171f;
}

.general-button2[data-disabled="1"]:active {
	translate: none;
	box-shadow:
	  inset 0 0.0625em 0 0 #2a2c36,
	  0 0.0625em 0 0 #0f1016,
	  0 0.125em 0 0 #0d0e14,
	  0 0.25em 0 0 #0b0c12,
	  0 0.3125em 0 0 #090a10,
	  0 0.375em 0 0 #08090e,
	  0 0.425em 0 0 #07080c,
	  0 0.425em 0.5em 0 #05060a;
}

.general-button2:active {
  translate: 0 0.225em;
  box-shadow:
    inset 0 0.03em 0 0 #2a2c36,
    0 0.03em 0 0 #0f1016,
    0 0.0625em 0 0 #0d0e14,
    0 0.125em 0 0 #0b0c12,
    0 0.125em 0 0 #090a10,
    0 0.2em 0 0 #08090e,
    0 0.225em 0 0 #07080c,
    0 0.225em 0.375em 0 #05060a;
}

.general-button2 img {
	width:13px;
	height:13px;
}
/* GENERAL ITEMS END*/

.top {
    width:100%;
    background:linear-gradient(180deg, #000000e5, #00000000);
    padding-top:40px;
    padding-bottom:40px;
    position: relative;
    z-index:999;
    box-sizing: border-box;
}

.topcontent {
    width:95%;
    max-width:1100px;
    min-width:1100px;
    margin:0 auto;
    display: flex;
    align-items: center;
}

.topcontent-nav {
    width:100%;
    display: flex;
    gap:30px;
    align-items: center;
    justify-content: space-between;
}

.topcontent-navitem {
    width:fit-content;
    padding:8px 20px;
    border-radius:50px;
    background:transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .1s;
    cursor: pointer;
    font-size:13px;
    font-weight: 600;
    text-transform: uppercase;
}

.topcontent-navitem:hover {
    background:var(--blue);
    box-shadow: rgba(0, 0, 0, 0.45) 0px 5px 15px;
}

.topcontent-left {
    width:40%;
    display: flex;
    align-items: center;
}

.topcontent-middle {
    width:20%;
    display: flex;
    align-items: center;
    justify-content:center;
}

.topcontent-middle svg {
    width:90px;
    height:90px;
    color:var(--light);
    fill:var(--light);
}

.topcontent-right {
    width:40%;
    display: flex;
    align-items: center;
}

.section1 {
    width:100%;
    height:100vh;
    background:url(../img/back1.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    position:relative;
    z-index:888;
    margin-top:-170px;
    padding-top:210px;
    box-sizing: border-box;
}

.section1-content {
    width:95%;
    max-width:1100px;
    min-width: 1100px;
    margin:0 auto;
    position:relative;
    z-index:1000;
}

.section1-text1 {
    width:100%;
    text-align: center;
    font-size:46px;
    font-family: 'Montserrat',sans-serif;
    font-weight: 900;
    text-transform: uppercase;
}

.section1-box {
    width:100%;
    display: flex;
    margin-top:30px;
    gap:30px;
    align-items: stretch;
    height:375px;
}

.section1-boxleft {
    width:60%;
    position:relative;
    z-index:999;
}

.section1-boxleft img {
    width:100%;
    border-radius:10px;
    box-shadow: rgba(0, 0, 0, 0.45) 0px 54px 55px, rgba(0, 0, 0, 0.32) 0px -12px 30px, rgba(0, 0, 0, 0.32) 0px 4px 6px, rgba(0, 0, 0, 0.37) 0px 12px 13px, rgba(0, 0, 0, 0.29) 0px -3px 5px;
}

.section1-boxright {
    width:calc(40% + 60px);
    background:rgba(0, 0, 0, 0.65);
    backdrop-filter: blur(10px);
    border-radius:10px;
    box-shadow: rgba(0, 0, 0, 0.45) 0px 54px 55px, rgba(0, 0, 0, 0.32) 0px -12px 30px, rgba(0, 0, 0, 0.32) 0px 4px 6px, rgba(0, 0, 0, 0.37) 0px 12px 13px, rgba(0, 0, 0, 0.29) 0px -3px 5px;
    padding:25px;
    padding-left:50px;
    box-sizing: border-box;
    border-bottom:1px solid rgba(255, 255, 255, 0);
    border-right: 1px solid rgba(255, 255, 255, 0);
    position:relative;
    z-index:888;
    margin-left:-60px;
    height: calc(100% + 2px);
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.section1-boxright-headline {
    width:100%;
    font-size:40px;
    font-weight: 800;
    text-align: center;
    text-transform: uppercase;
}

.section1-boxright-text1 {
    width:100%;
    font-size:25px;
    font-weight: 400;
    text-align: center;
    margin-top:-10px;
}

.section1-boxright-text2 {
    width:100%;
    font-size:16px;
    font-weight: 400;
    text-align: center;
    margin-top:-10px;
}

.section1-boxright-text3 {
    width:fit-content;
    margin:0 auto;
    font-size:11px;
    font-weight: 400;
    text-align: center;
    margin-top:30px;
    opacity:.7;
    transition: all .1s;
    cursor:pointer;
}

.section1-boxright-text3:hover {
    opacity:1;
    color:var(--blue);
    text-decoration: underline;
}

.section1-boxright-btn {
    width:fit-content;
    padding:10px 25px;
    border-radius:50px;
    box-sizing: border-box;
    margin:0 auto;
    font-size:16px;
    font-weight: 700;
    text-transform: uppercase;
    transition: all .1s;
    cursor:pointer;
    font-family: 'Montserrat',sans-serif;
    border:2px solid var(--light);
    margin-top:20px;
}

.section1-boxright-btn:hover {
    background:var(--blue);
    box-shadow: rgba(0, 0, 0, 0.45) 0px 5px 15px;
    border:2px solid var(--blue);
}

.section-divider {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 120px; /* justera höjd här */
    overflow: hidden;
    line-height: 0;
    z-index: 10;
}

.section-divider svg {
    width: 100%;
    height: 100%;
    display: block;
}

.section-divider polygon {
    fill: var(--dark1); /* färg på nästa section */
}

.section2 {
    width:100%;
}

.section2-content {
    width:95%;
    max-width:1100px;
    margin:0 auto;
    padding-top:40px;
    padding-bottom:100px;
}

.section2-row {
    width:100%;
    display: flex;
    gap:20px;
}

.section2-box {
    width:33%;
    background:rgba(0, 0, 0, 0.32);
    border-radius:10px;
    box-shadow: rgba(0, 0, 0, 0.45) 0px 5px 15px;
    padding:20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.section2-box svg {
    width:70px;
    height:70px;
    color:var(--light);
    fill:var(--light);
}

.section2-box-headline {
    width:100%;
    font-size:22px;
    font-weight: 900;
    font-family: 'Poppins',sans-serif;
    text-align: center;
    color:var(--light);
    text-transform: uppercase;
    margin-top:10px;
    margin-bottom:10px;
}

.section2-box-text {
    width:100%;
    font-size:14px;
    font-weight: 400;
    color:var(--light);
    text-align: center;
    opacity:.8;
}

.section2-headline{
    width:100%;
    text-align: center;
    margin-bottom:50px;
}

.text-image {
    font-size: 100px;
    font-weight: 900;
    font-family: 'Poppins',sans-serif;
    background-image: url('../img/text_back.jpg');
    background-size: cover;
    background-position: top;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
    text-transform: uppercase;
    line-height: 80px;
}

.text-image2 {
    font-size:100px;
    font-weight: 900;
    font-family:'Poppins',sans-serif;
    text-transform: uppercase;
    line-height:90px;
    color:var(--light);
}

.section3 {
    width:100%;
    background:rgba(0, 0, 0, 0.65);
}

.section3-content {
    width:95%;
    max-width:800px;
    margin:0 auto;
    padding-top:100px;
    padding-bottom:100px;
}

.section3-feature {
    width:100%;
    display: flex;
    flex-direction: column;
    margin-bottom:60px;
}

.section3-featuretext {
    width:100%;
    font-size:16px;
    font-weight: 600;
    color:var(--green);
    font-family: 'Montserrat',sans-serif;
    margin-top:15px;
    margin-bottom:15px;
    display: flex;
    align-items: center;
    gap:8px;
}

.section3-featuretext svg {
    width:25px;
    height:25px;
}

.section3-featurehead {
    width:100%;
    font-size:38px;
    font-weight: 700;
    margin-top:15px;
    display: flex;
    align-items: center;
    gap:10px;
}

.section3-featurehead svg {
    width:45px;
    height:45px;
}

.section3-featureslist {
    width:100%;
    display: flex;
    flex-direction: column;
    gap:15px;
    margin-bottom:30px;
    margin-top:20px;
}

.section3-featurelistitem {
    width:100%;
    display: flex;
    gap:8px;
    font-size: 18px;
    font-weight: 500;
    align-items: center;
}

.section3-featurelistitem svg {
    width:30px;
    height:30px;
    color:var(--blue);
    fill:var(--blue);
}

.section3-featureimg img {
    border-radius: 10px;
    width:100%;
    display: block;
    margin-top:20px;
    margin-bottom:10px;
}

.section3-featuredesc {
    width:100%;
    margin-top:30px;
    margin-bottom:30px;
    font-size:14px;
    font-weight:500;
    text-align: justify;
    line-height: 30px;
}

.section3-downloadbtn {
    width:400px;
    margin:0 auto;
    padding:10px 20px;
    box-sizing: border-box;
    border-radius:50px;
    border:2px solid var(--light);
    color:var(--light);
    font-size:20px;
    font-weight: 600;
    text-align: center;
    transition: all .1s;
    cursor:pointer;
    margin-top:20px;
}

.section3-downloadbtn:hover {
    color:var(--light);
    border:2px solid var(--blue2);
    background:var(--blue2);
    transform:translateY(-3px);
}

.section3-download {
    width:800px;
    margin:0 auto;
    display: flex;
    flex-direction: column;
}

.section3-downloadhead {
    width:100%;
    font-size: 34px;
    font-weight: 700;
    text-align: center;
    color:var(--green);
    margin-bottom:10px;
}

.section3-downloadtext {
    width:100%;
    font-size:20px;
    font-weight: 500;
    text-align: center;
    margin-bottom:10px;
}

.section3-downloadsmalllink {
    width:100%;
    font-size:13px;
    font-weight: 400;
    text-align: center;
    margin-top:10px;
}

.section3-downloadsmalllink a {
    color:var(--blue2);
    text-decoration: none;
}

.section3-downloadsmalllink a:hover {
    text-decoration: underline;
    color:var(--green);
}

.section4 {
    width:100%;
    background:url(../img/back4.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-top:100px;
    padding-bottom:60px;
}

.section4-content {
    width:95%;
    max-width:1100px;
    margin:0 auto;
    padding-top:100px;
    padding-bottom:100px;
}

.section4-header {
    width:100%;
    font-size:65px;
    font-weight: 800;
    text-transform: uppercase;
    text-align: center;
    line-height:60px;
    margin-bottom:20px;
}

.section4-text {
    width:100%;
    font-size:22px!important;
    font-weight: 500;
    text-align: center;
    line-height: 30px;
}

/* FOOTER */
#footer {
    width:100%;
    background:rgba(0, 0, 0, 0.37);
    border-top:1px solid var(--gold);
}

.footer-content {
    width:95%;
    max-width:1400px;
    box-sizing: border-box;
    padding-top:70px;
    padding-bottom:70px;
    margin:0 auto;
}

.footer-row {
    width:100%;
    display: flex;
    gap:20px;
}

.footer-box {
    width:25%;
    display: flex;
    flex-direction: column;
}

.footer-boxhead {
    width:100%;
    font-size:12px;
    font-weight: 600;
    color:var(--gold);
    font-family: 'Sora',sans-serif;
    text-transform: uppercase;
    letter-spacing: 3px;
}

.footer-boxbtn {
    width:80%;
    margin-top:20px;
    padding:10px 20px;
    box-sizing: border-box;
    border-radius: 50px;
    border:2px solid var(--light);
    font-size:14px;
    font-weight: 600;
    color:var(--light);
    transition:all .1s;
    cursor:pointer;
    display: flex;
    gap:10px;
    align-items: center;
    justify-content: center;
}

.footer-boxbtn:hover {
    background:var(--blue2);
    border:2px solid var(--blue2);
    transform: translateY(-4px);
}

.footer-boxbtn svg {
    width:22px;
    height:22px;
    color:var(--light);
    fill:var(--light);
}

.footer-boxitem {
    width:fit-content;
    font-size:14px;
    font-weight: 500;
    margin-top:10px;
}

.footer-boxitem a {
    color:inherit;
    text-decoration: none;
}

.footer-boxitem a:hover {
    color:var(--blue);
    text-decoration:underline;
}

.footer-divider {
    width:100%;
    height:1px;
    background:rgba(255, 255, 255, 0.1);
    margin-top:60px;
    margin-bottom:60px;
}

/* FEATURES.PHP */

.section1.page-back5 {
    width:100%;
    height:500px;
    background:url(../img/back5.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    position:relative;
    z-index:888;
    margin-top:-170px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.section1.page-back6 {
    width:100%;
    height:500px;
    background:url(../img/back6.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    position:relative;
    z-index:888;
    margin-top:-170px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.section1.page-back7 {
    width:100%;
    height:500px;
    background:url(../img/back7.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    position:relative;
    z-index:888;
    margin-top:-170px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.section1.page-back8 {
    width:100%;
    height:500px;
    background:url(../img/back8.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    position:relative;
    z-index:888;
    margin-top:-170px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.page-headercontent {
    width:95%;
    max-width:1100px;
    min-width: 1100px;
    margin:0 auto;
    position:relative;
    z-index:1000;
}

.page-headline {
    width:100%;
    font-size:60px;
    font-weight: 700;
    text-align: center;
    margin-top:-210px;
}

.page-headline-desc {
    width:100%;
    font-size:30px;
    font-weight: 500;
    text-align: center;
}
